## linuxcnc 2.9.0~pre0+git20220906.02744cdef6

=== src/Makefile ===
# Some useful targets:
#
#     default (if no make target is specified): Build the software and
#         the docs (if enabled via configure).
#
#     build-software: Build all the realtime and non-realtime software
#         libraries & executables.
#
#     docs: Build all the documentation that's enabled through configure.
#
#
#     install: Install everything (realtime software, non-realtime
#         software, and docs).
#
#     install-software: Install all architecture-specific things (realtime
#         and non-realtime libraries and executables).
#
#     install-docs: Install all enabled documentation into $(DESTDIR).
#


default: build-software

install: install-software install-docs

install-software: install-kernel-dep install-kernel-indep install-menu

ifeq ($(origin KERNELRELEASE), undefined)
MAKEFLAGS += --warn-undefined-variables
endif

EXTRAFLAGS :=
EXTRA_DEBUG ?=

ifndef DESTDIR
DESTDIR :=
endif

# see http://www.cmcrossroads.com/ask-mr-make/6535-tracing-rule-execution-in-gnu-make
# to trace make execution of make in more detail:
# make VV=1
ifeq ("$(origin VV)", "command line")
    OLD_SHELL := $(SHELL)
    SHELL = $(warning Building $@$(if $<, (from $<))$(if $?, ($? newer)))$(OLD_SHELL)
endif

# Delete the default suffix rules
.SUFFIXES:
.PHONY: default build-software userspace modules clean modclean depclean install install-software install-docs python pythonclean cscope cscopeclean

# A "trivial build" is one which should not include dependency information
# either because it should be usable before dependency information can be
# generated or when it is invalid (clean, docclean) or when running as root
# when the user must guarantee in advance that everything is built
# (setuid, install)
ifeq ($(MAKECMDGOALS),)
TRIVIAL_BUILD=no
else
ifeq ($(filter-out docclean clean setuid install tags swish,$(MAKECMDGOALS)),)
TRIVIAL_BUILD=yes
else
TRIVIAL_BUILD=no
endif
endif


# Beautify output
# ---------------------------------------------------------------------------
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If BUILD_VERBOSE equals 0 then the above command will be hidden.
# If BUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
else
  Q = @
endif

ifeq "$(findstring s,$(filter-out --%, $(MAKEFLAGS)))" ""
ECHO=@echo
VECHO=echo
else
ECHO=@true
VECHO=true
endif

ifeq ($(BASEPWD),)
BASEPWD := $(shell pwd)
export BASEPWD
include Makefile.inc
ifeq ($(origin PYTHONPATH),undefined)
PYTHONPATH:=$(EMC2_HOME)/lib/python
else
PYTHONPATH:=$(EMC2_HOME)/lib/python:$(PYTHONPATH)
endif
export PYTHONPATH
else
include $(BASEPWD)/Makefile.inc
endif
ifeq ($(RTPREFIX),)
$(error Makefile.inc must specify RTPREFIX and other variables)
endif

ifeq ($(TOOL_NML),yes)
  TOOL_NML_FLAG := -DTOOL_NML
  $(info TOOL_NML_FLAG =$(TOOL_NML_FLAG))
else
endif

cc-option = $(shell if $(CC) $(CFLAGS) $(1) -S -o /dev/null -xc /dev/null \
	     > /dev/null 2>&1; then echo "$(1)"; fi ;)
cxx-option = $(shell if $(CXX) $(CXXFLAGS) $(1) -S -o /dev/null -xc++ /dev/null \
            > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

ifeq ($(origin KERNELRELEASE),undefined)
# When KERNELRELEASE is not defined, this is the userspace build.
# The "modules" target is the gateway to the kernel module build.
build-software: userspace modules
ifeq ($(RUN_IN_PLACE),yes)
ifneq ($(BUILD_SYS),uspace)
	@if [ -f ../bin/linuxcnc_module_helper ]; then if ! [ `id -u` = 0 -a -O ../bin/linuxcnc_module_helper -a -u ../bin/linuxcnc_module_helper ]; then $(VECHO) "You now need to run 'sudo make setuid' in order to run in place."; fi; fi
else
	@if [ -f ../bin/rtapi_app ]; then if ! [ `id -u` = 0 -a -O  ../bin/rtapi_app -a -u ../bin/rtapi_app ]; then $(VECHO) "You now need to run 'sudo make setuid' in order to run in place with access to hardware."; fi; fi
endif
endif

VERSION=$(shell cat ../VERSION)
dist:
	mkdir ../linuxcnc-$(VERSION)
	(cd ../ && git archive master) | (cd ../linuxcnc-$(VERSION) && tar xf -)
	(cd ../linuxcnc-$(VERSION) && ./debian/configure)
	(cd ../linuxcnc-$(VERSION)/src && ./autogen.sh)
	(cd .. && tar zcf linuxcnc-$(VERSION).tar.gz linuxcnc-$(VERSION))
	rm -rf ../linuxcnc-$(VERSION)

# Print 'entering' all the time
MAKEFLAGS += w

# Create the variables with := so that subsequent += alterations keep it
# as a "substitute at assignment time" variable
TARGETS :=
PYTARGETS :=
GENERATED_MANPAGES :=

# Submakefiles from each of these directories will be included if they exist
SUBDIRS := \
    libnml/linklist libnml/cms libnml/rcs libnml/inifile libnml/os_intf \
    libnml/nml libnml/buffer libnml/posemath libnml \
    \
    rtapi/examples/timer rtapi/examples/semaphore rtapi/examples/shmem \
    rtapi/examples/extint rtapi/examples/fifo rtapi/examples rtapi \
    \
    hal/components hal/drivers hal/drivers/mesa-hostmot2 \
    hal/user_comps/devices hal/user_comps/mb2hal \
    hal/user_comps hal/user_comps/vismach hal/user_comps/vfs11_vfd hal/classicladder hal/utils hal \
    hal/user_comps/vfdb_vfd hal/user_comps/wj200_vfd \
    hal/user_comps/pi500_vfd \
    hal/user_comps/huanyang-vfd \
	hal/user_comps/xhc-whb04b-6 \
    \
    emc/usr_intf/axis emc/usr_intf/touchy emc/usr_intf/stepconf emc/usr_intf/pncconf \
    emc/usr_intf/gremlin emc/usr_intf/gscreen emc/usr_intf/pyui emc/usr_intf/qtvcp \
    emc/usr_intf/gmoccapy emc/usr_intf/qtplasmac emc/usr_intf/mdro\
    emc/usr_intf emc/nml_intf emc/task emc/iotask emc/kinematics emc/tp emc/canterp \
    emc/motion emc/ini emc/rs274ngc emc/sai emc/pythonplugin \
    emc/motion-logger \
    emc/tooldata \
    emc \
    \
    module_helper \
    \
    po \
    \
    ../docs/src ../docs/src/source-highlight \
    \
    ../tests \



ULAPISRCS := rtapi/$(RTPREFIX)_ulapi.c

# Each item in INCLUDES is transformed into a -I directive later on
# The top directory is always included
INCLUDES := .

USERSRCS :=
PROGRAMS :=

# When used like $(call TOxxx, ...) these turn a list of source files
# into the corresponding list of object files, dependency files,
# or both.  When a source file has to be compiled with special flags,
# TOOBJSDEPS is used.  Confusingly, TOOBJSDEPS includes preprocessed source
# file names, but this is what allows 'make src.i' to produce proper
# preprocessed source when src.c needs a customized compile flag.
# See Submakefile.skel for an example.
TOOBJS = $(patsubst %.cc,objects/%.o,$(patsubst %.c,objects/%.o,$(1)))
TODEPS = $(patsubst %.cc,objects/%.d,$(patsubst %.c,objects/%.d,$(1)))
TOOBJSDEPS = $(call TOOBJS,$(1)) $(call TODEPS, $(1)) $(patsubst %.cc,%.ii,$(patsubst %.c,%.i,$(1)))

SUBMAKEFILES := $(patsubst %,%/Submakefile,$(SUBDIRS))
-include $(wildcard $(SUBMAKEFILES))

# This checks that all the things listed in USERSRCS are either C files
# or C++ files
ASSERT_EMPTY = $(if $(1), $(error "Should be empty but is not: $(1)"))
$(call ASSERT_EMPTY,$(filter-out %.c %.cc, $(USERSRCS)))

$(call TOOBJS,$(PYSRCS)) : EXTRAFLAGS += -fPIC -fno-strict-aliasing
USERSRCS += $(PYSRCS)

# Find the list of object files for each type of source file
CUSERSRCS := $(filter %.c,$(USERSRCS))
CXXUSERSRCS := $(filter %.cc,$(USERSRCS))
CUSEROBJS := $(call TOOBJS,$(CUSERSRCS))
CXXUSEROBJS += $(call TOOBJS,$(CXXUSERSRCS))

ifeq ($(TRIVIAL_BUILD),no)
# Find the dependency filenames, then include them all
DEPS := $(sort $(patsubst %.o,%.d,$(CUSEROBJS) $(CXXUSEROBJS)))
READ_DEPS = $(wildcard $(DEPS))
$(shell $(VECHO) 1>&2 Reading $(words $(READ_DEPS))/$(words $(DEPS)) dependency files)
-include $(READ_DEPS)
UNREAD_DEPS = $(filter-out $(READ_DEPS), $(DEPS))
$(shell $(VECHO) 1>&2 Done reading dependencies)
endif

# Each directory in $(INCLUDES) is passed as a -I directory when compiling.
INCLUDE := $(patsubst %,-I%, $(INCLUDES)) -I$(RTDIR)/include
INCLUDE += $(PYTHON_CPPFLAGS)
INCLUDE += $(LIBTIRPC_CFLAGS)

# Compilation options.	Perhaps some of these should come from Makefile.inc? (CXXFLAGS now does)
INTEGER_OVERFLOW_FLAGS := -fwrapv
OPT := -Os $(INTEGER_OVERFLOW_FLAGS)
DEBUG := $(DEBUG) -g -Wall -Wno-stringop-truncation
CFLAGS := $(INCLUDE) $(OPT) $(DEBUG) $(EXTRA_DEBUG) -DULAPI -std=gnu99 -fgnu89-inline -Werror=implicit-function-declaration $(CFLAGS) $(CPPFLAGS)
CXXFLAGS := $(INCLUDE) $(EXTRA_DEBUG) -DULAPI $(DEBUG) $(OPT) -Woverloaded-virtual $(CXXFLAGS) $(CPPFLAGS)
CXXFLAGS += $(call cxx-option, -Wno-psabi)
CXXFLAGS += $(call cxx-option, -std=gnu++11, -std=gnu++0x)
# In Debian 11, any inclusion of <boost/python.hpp> leads to several
# diagnostics from included headers about deprecated features. LinuxCNC does
# not directly use these deprecated features, but it does use boost::python.
# Silence the warnings just when they occur in files using boost/python.hpp by
# adding SILENCE_BOOST_INTERNAL_DIAGNOSTICS_FLAGS to the object's EXTRAFLAGS
SILENCE_BOOST_INTERNAL_DIAGNOSTICS_FLAGS = -DBOOST_ALLOW_DEPRECATED_HEADERS=1 -DBOOST_BIND_GLOBAL_PLACEHOLDERS=1

CFLAGS   += $(TOOL_NML_FLAG)
CXXFLAGS += $(TOOL_NML_FLAG)

ifeq ($(RUN_IN_PLACE),yes)
LDFLAGS := -L$(LIB_DIR) -Wl,-rpath,$(LIB_DIR) $(LIBTIRPC_LIBS) $(LDFLAGS)
else
LDFLAGS := -Wl,-rpath-link,../lib $(LIBTIRPC_LIBS) $(LDFLAGS)
endif

# Rules to make .o (object) files
$(sort $(CUSEROBJS)) : objects/%.o: %.c
	$(ECHO) Compiling $<
	@mkdir -p $(dir $@)
	@rm -f $@
	$(Q)$(CC) -c $(CFLAGS) $(EXTRAFLAGS) \
		-MP -MD -MF "${@:.o=.d}" -MT "$@" \
		$< -o $@

$(sort $(CXXUSEROBJS)) : objects/%.o: %.cc
	$(ECHO) Compiling $<
	@mkdir -p $(dir $@)
	@rm -f $@
	$(Q)$(CXX) -c $(CXXFLAGS) $(EXTRAFLAGS) \
		-MP -MD -MF "${@:.o=.d}" -MT "$@" \
		$< -o $@

# Rules to make .i (preprocessed) files
$(sort $(patsubst %.c,%.i,$(CUSERSRCS))): %.i: %.c
	$(ECHO) Preprocessing $< to $@
	$(Q)$(CC) -dD $(CFLAGS) $(EXTRAFLAGS) -E $< -o $@

$(sort $(patsubst %.cc,%.ii,$(CXXUSERSRCS))): %.ii: %.cc
	$(ECHO) Preprocessing $< to $@
	$(Q)$(CXX) -dD $(CXXFLAGS) $(EXTRAFLAGS) -E $< -o $@

ifeq ($(TRIVIAL_BUILD),no)
configure: configure.ac
	AUTOGEN_TARGET=configure ./autogen.sh

config.h.in: configure.ac
	AUTOGEN_TARGET=config.h.in ./autogen.sh

config.status: configure
	if [ -f config.status ]; then ./config.status --recheck; else \
	    echo 1>&2 "*** linuxcnc is not configured.	Run './configure' with appropriate flags."; \
	    exit 1; \
	fi
endif

Makefile: config.h
config.h: config.h.in config.status
	@./config.status -q --header=$@

INFILES = \
        ../scripts/linuxcnc ../scripts/realtime \
	../scripts/linuxcnc_info \
	../scripts/haltcl ../scripts/rtapi.conf Makefile.inc Makefile.modinc \
	../tcl/linuxcnc.tcl ../scripts/halrun ../scripts/rip-environment \
	../scripts/linuxcncmkdesktop \
	../lib/python/nf.py \
	../share/desktop-directories/linuxcnc-doc.directory \
	../share/desktop-directories/linuxcnc-ref.directory \
	../share/desktop-directories/linuxcnc-cnc.directory \
	../share/menus/CNC.menu \
	../share/applications/linuxcnc.desktop \
	../share/applications/linuxcnc-latency.desktop \
	../share/applications/linuxcnc-latency-histogram.desktop \
	../share/applications/linuxcnc-pncconf.desktop \
	../share/applications/linuxcnc-stepconf.desktop \
	../scripts/linuxcnc_var \
	../scripts/halcmd_twopass \
	../scripts/runtests \

$(INFILES): %: %.in config.status
	@./config.status --file=$@

build-software: $(INFILES)

# For each file to be copied to ../include, its location in the source tree
# is listed here.  Note that due to $(INCLUDE), defined above, the include
# files in the source tree are the ones used when building linuxcnc.  The copy
# in ../include is used when building external components of linuxcnc.
SRCHEADERS := \
    emc/linuxcnc.h \
    emc/ini/emcIniFile.hh \
    emc/ini/iniaxis.hh \
    emc/ini/inijoint.hh \
    emc/ini/inispindle.hh \
    emc/ini/initraj.hh \
    emc/ini/inihal.hh \
    emc/kinematics/cubic.h \
    emc/kinematics/kinematics.h \
    emc/kinematics/switchkins.h \

=== debian/changelog ===
linuxcnc (2.9.0~pre0+git20220906.02744cdef6-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre0+git20220906.02744cdef6
  * Fix RPC linking (changed in glibc 2.34-1).
  * Improve docs.
  * QtVCP: add API function to remove keybinding.

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 06 Sep 2022 16:49:06 -0600

linuxcnc (2.9.0~pre0+git20220905.b2e28a88c3-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre0+git20220905.b2e28a88c3
    (Closes: #1019212).
  * deadzone comp: fix a typo in a HAL pin name.
  * Misc updates to QtVCP.
  * Minor fixes to docs.

 -- Sebastian Kuzminsky <seb@highlab.com>  Mon, 05 Sep 2022 17:38:14 -0600

linuxcnc (2.9.0~pre0+git20220903.c8c4c539b1-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre0+git20220903.c8c4c539b1
  * regenerate debian/* files using d/configure
  * Update docs & translations.
  * QtVCP fixes & improvements.
  * Work around autopkgtest failure.

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 03 Sep 2022 16:29:26 -0600

linuxcnc (2.9.0~pre0+git20220827.f7d1c37ffd-1) unstable; urgency=medium

  * Improved translation infrastructure.
  * Misc bug fixes and new features.

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 27 Aug 2022 17:50:53 -0600

linuxcnc (1:2.8.3) buster; urgency=low

  * CraftsmanCNC: A new GUI written from scratch Intended for CNC router
      applications.
  * Merge pull request #1706 from
      hansu/gmoccapy-fix-buttonstate-settings-2.8
  * pncconf: add 7i96s
  * command.c: EMCMOT_JOINT_ABORT set joint jog inactive
  * Several patches from zz912 to improve translations
  * Gmoccapy - many updates
  * PNCconf bug - bad arrow
  * Update cpu_info.c for Raspberry revision 1.5
  * qtvcp -file_manager: fix indent error
  * task: disallow task mode change if jogging
  * Fix the building of packages (broken by Japanese docs)
  * carousel: Fix homing bug.
  * qtvcp - many updates
  * docs: added japanese PDF docs from MasaoSakai
      (https://github.com/MasaoSakai/LinuxCNC)
  * docs: many updates
  * docs: make an index.html page for the PDF docs
  * Merge pull request #1644 from alkabal/alkabal-2.8-xhc-whb04b-6
  * Several pull requests from elovalvo/
  * Update for new version of Rpi400
  * mb2hal: added pins to manpage
  * Merge pull request #1641 from JTrantow/2.8
  * Change EDITOR = geany. Restore more generous dirhold and dirsetup
      timing.
  * Updated the gantry example 
  * linuxcncrsh: check for errors when creating listening socket
  * gscreen -fix error related to keyboard jogging and limit switch
  * getting-linuxcnc.txt list alternate keyserver
  * axis.py: stop continuous jogs if mdi tab     #1519
  * mitsub_vfd docs: several updates
  * improved german translation
  * plasmac: many updates
  * FIxed IRC webclient URL
  * Update man-pages for latency-* scripts.
  * Docs: Update RTAI install instructions.
  * Merge pull request #1234 from LinuxCNC/fix-md5-sum
  * Update getting-linuxcnc_es.txt
  * Update getting-linuxcnc-cn.txt
  * Fix MD5 / SHA256 sums
  * docs: fix some minor glitches in INI config docs.
  * Docs add axis lathe info and images
  * pncconf: several updates
  * pncconf -raise the stepper timing maximum to 50000
  * Merge pull request #1199 from LinuxCNC/shuttle
  * parport: Clarify messages when parport_pc has not found the device.
  * Docs: Bump kernel version for RTAI in "Getting LinuxCNC"
  * shuttle: driver and docs updates
  * full update xhc-whb04b-6 for 2.8

 -- andypugh <andy@bodgesoc.org>  Tue, 09 Aug 2022 22:13:13 +0100

=== debian/control ===
Source: linuxcnc
Section: misc
Priority: optional
Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
Uploaders: Jeff Epler <jepler@gmail.com>, Sebastian Kuzminsky <seb@highlab.com>
Build-Depends:
    debhelper-compat (= 13),
    dh-python,
    libudev-dev,
    asciidoc,
    ghostscript,
    imagemagick,
    source-highlight,
    asciidoc-dblatex,
    autoconf,
    automake,
    bwidget (>= 1.7),
    desktop-file-utils,
    gettext,
    intltool,
    libboost-python-dev,
    libepoxy-dev,
    libgl1-mesa-dev | libgl1-mesa-swx11-dev,
    libglu1-mesa-dev,
    libgtk2.0-dev,
    libgtk-3-dev,
    libmodbus-dev (>= 3.0),
    libeditreadline-dev,
    libtirpc-dev,
    libusb-1.0-0-dev,
    libxmu-dev,
    netcat,
    po4a,
    procps,
    psmisc,
    python3,
    python3-dev,
    python3-tk,
    python3-xlib,
    tcl8.6-dev,
    tclx,
    tk8.6-dev,
    yapps2
Build-Depends-Indep:
    dblatex (>= 0.2.12),
    docbook-xsl,
    dvipng,
    graphviz,
    groff,
    inkscape,
    python3-lxml,
    w3c-linkchecker,
    xsltproc,
    texlive-extra-utils,
    texlive-font-utils,
    texlive-fonts-recommended,
    texlive-lang-cyrillic,
    texlive-lang-european,
    texlive-lang-french,
    texlive-lang-german,
    texlive-lang-polish,
    texlive-lang-spanish,
    texlive-latex-recommended,
    fonts-dejavu,
    texlive-xetex,
Standards-Version: 4.6.1
Homepage: https://linuxcnc.org/
Vcs-Browser: https://github.com/LinuxCNC/linuxcnc
Vcs-Git: https://github.com/LinuxCNC/linuxcnc.git
Rules-Requires-Root: binary-targets

Package: linuxcnc-uspace-dev
Architecture: any
Conflicts: linuxcnc-sim-dev, linuxcnc-dev
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-serial,
         linuxcnc-uspace (= ${binary:Version}),
         udev,
         python3-yapps
Section: devel
Description: PC based motion controller for real-time Linux
 LinuxCNC is a fully-realised CNC machine controller that can interpret
 machine-control programs (such as G-code), plan trajectories and finally
 output low-level signals to machine control hardware
 .
 LinuxCNC is modular and in principle the HAL (hardware abstraction layer),
 pluggable interpreters and variety of hardware drivers mean that it can
 control almost any software-defined physical system.
 .
 LinuxCNC relies on a realtime kernel to support real-time motion control,
 typically updating the position waypoints every 1mS and reacting to
 input within tens of microseconds.
 .
 Modules exist to use the low-level parts of LinuxCNC as a motion-control
 client for OpenPnP. Interfaces exist for ROS (the Robot Operating System)
 with which LinuxCNC has considerable overlap.
 .
 LinuxCNC supports arbitrary kinematics (the mapping between coordinate
 space and actuator space) and can control both parallel (eg Stewart
 platform) and serial (eg robot arm) systems in addition to conventional
 cartesian machine tools.
 .
 LinuxCNC supports 9 cartesian axes and 16 "Joints" (individual actuators)
 though the joint limit is build-time configurable.
 .
 A variety of interface hardware is supported including Modbus, EtherCAT,
 analogue +/-10V velocity control and Step/Dir. Step/Dir is supported by
 several hardware interfaces, including, but not limited to, the legacy
 Parallel Port.
 .
 A Hardware Abstraction Layer allows for great flexibility in signal
 mapping between the controller and the driver hardware. An extensive
 library of modules allow for complex signal processing within the HAL
 layer. For specialised tasks custom HAL components can be created using
 a C-like syntax and installed with the supplied tools.
 .
 By default LinuxCNC supports RS274 G-code but is extendable to parse
 other grammars such as STEP-NC or Gerber through support for pluggable
 interpreters.
 .
 If you want a computer to control things in the real world
 then LinuxCNC can do it. It is especially applicable to systems that
 are required to follow accurate paths described in cartesian space but
 has been used for numerous other applications.
 .
 This package provides all files that you need to embed parts of LinuxCNC
 in your developments.

Package: linuxcnc-uspace
Conflicts:
    linuxcnc-sim,
    linuxcnc
Breaks:
    linuxcnc-doc-en (<= 2.9.0~pre0+git20220402.2500863908-4),
    linuxcnc-doc-es (<= 2.9.0~pre0+git20220402.2500863908-4),
    linuxcnc-doc-fr (<= 2.9.0~pre0+git20220402.2500863908-4)
Architecture: any
Depends:
    ${misc:Depends},
    ${python3:Depends},
    ${shlibs:Depends},
    libudev-dev,iptables,
    blt,
    mesa-utils,
    python3-tk,
    python3-numpy,
    python3-cairo,
    python3-gi-cairo,
    python3-opengl,
    python3-configobj,
    python3-xlib,
    libgtksourceview-3.0-dev,
    tcl8.6,
    tk8.6,
    bwidget (>= 1.7),
    tclreadline,
    tclx,
    procps, psmisc,
    udev
Recommends:
    linuxcnc-doc-en | linuxcnc-doc,
    librsvg2-dev,
    hostmot2-firmware-all, linux-image-rt-amd64 [linux-amd64], linux-image-rt-686-pae [linux-i386],
    python3-pil,
    python3-pil.imagetk,
    python3-pyqt5,
    python3-pyqt5.qsci,
    python3-pyqt5.qtsvg,
    python3-pyqt5.qtopengl,
    python3-opencv,
    python3-dbus,python3-espeak,
    python3-dbus.mainloop.pyqt5,
    python3-pyqt5.qtwebkit,
    espeak-ng,
    pyqt5-dev-tools,
    gstreamer1.0-tools,espeak,
    sound-theme-freedesktop
Suggests: mesaflash
Description: motion controller for CNC machines and robots
 LinuxCNC is a fully-realised CNC machine controller that can interpret
 machine-control programs (such as G-code), plan trajectories and finally
 output low-level signals to machine control hardware
 .
 LinuxCNC is modular and in principle the HAL (hardware abstraction layer),
 pluggable interpreters and variety of hardware drivers mean that it can
 control almost any software-defined physical system.
 .
 LinuxCNC relies on a realtime kernel to support real-time motion control,
 typically updating the position waypoints every 1mS and reacting to
 input within tens of microseconds.
 .
 Modules exist to use the low-level parts of LinuxCNC as a motion-control
 client for OpenPnP. Interfaces exist for ROS (the Robot Operating System)
 with which LinuxCNC has considerable overlap.
 .
 LinuxCNC supports arbitrary kinematics (the mapping between coordinate
 space and actuator space) and can control both parallel (eg Stewart
 platform) and serial (eg robot arm) systems in addition to conventional
 cartesian machine tools.
 .
 LinuxCNC supports 9 cartesian axes and 16 "Joints" (individual actuators)
 though the joint limit is build-time configurable.
 .
 A variety of interface hardware is supported including Modbus, EtherCAT,
 analogue +/-10V velocity control and Step/Dir. Step/Dir is supported by
 several hardware interfaces, including, but not limited to, the legacy
 Parallel Port.
 .
 A Hardware Abstraction Layer allows for great flexibility in signal
 mapping between the controller and the driver hardware. An extensive
 library of modules allow for complex signal processing within the HAL
 layer. For specialised tasks custom HAL components can be created using
 a C-like syntax and installed with the supplied tools.
 .
 By default LinuxCNC supports RS274 G-code but is extendable to parse
 other grammars such as STEP-NC or Gerber through support for pluggable
 interpreters.
 .
 If you want a computer to control things in the real world
 then LinuxCNC can do it. It is especially applicable to systems that
 are required to follow accurate paths described in cartesian space but
 has been used for numerous other applications.
 .
 This package provides the main package for LinuxCNC.

Package: linuxcnc-doc-en
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4),
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (English documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in English.

Package: linuxcnc-doc-fr
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (French documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in French.

Package: linuxcnc-doc-es
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: controlador de movimiento para máquinas CNC y robots (Español).
 LinuxCNC es EMC (controlador de máquina mejorado) que proporciona
 control de movimiento para máquinas herramientas CNC (fresado,
 torneado, ruteado, etc.) y aplicaciones de robótica.
 .
 Este paquete contiene la documentación en español.

Package: linuxcnc-doc-zh-cn
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: xdg-utils
Suggests: pdf-viewer
Conflicts: linuxcnc-doc-cn
Replaces: linuxcnc-doc-cn
Description: motion controller for CNC machines and robots (Chinese
 documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in Chinese.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 2006 Jeff Epler
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# When used to produce a debian package, this file is a script "used to
# control compilation and installation of the executable"

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# Support more robust code and makes code modifications more difficult
# Compare https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Trigger other tools to use the timestamp from debian/changelog
# Compare https://reproducible-builds.org/docs/source-date-epoch/
export SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)

# Set time & date to the most recent release, for repeatable builds.
TIMESTAMP=$(shell dpkg-parsechangelog -S timestamp)
export DATE=$(shell LANG=C date --date='@$(TIMESTAMP)' '+%d\ %b\ %Y')
export TIME=$(shell LANG=C date --date='@$(TIMESTAMP)' '+%T')

kernel_version = uspace
configure_realtime_arg = --with-realtime=uspace
enable_build_documentation = --enable-build-documentation=pdf
DESTDIR=$(CURDIR)/debian/tmp
DEV_PACKAGE_NAME=linuxcnc-uspace-dev

%:
	dh $@

override_dh_auto_configure:
	cd src && ./autogen.sh
	cd src && PYTHON=/usr/bin/python3 ./configure \
	    --prefix=/usr --sysconfdir=/etc \
	    --mandir=/usr/share/man \
	    $(configure_realtime_arg) \
	    $(enable_build_documentation) \
	    --disable-check-runtime-deps

override_dh_auto_build-arch:
	$(MAKE) PYTHON=/usr/bin/python3 -C src build-software

override_dh_auto_build-indep:
ifneq "$(enable_build_documentation)" ""
	$(MAKE) PYTHON=/usr/bin/python3 -C src manpages
	$(MAKE) PYTHON=/usr/bin/python3 -C src translateddocs
	$(MAKE) PYTHON=/usr/bin/python3 -C src docs
endif

override_dh_auto_clean:
	dh_auto_clean
	py3clean .
	if [ -r src/Makefile.inc -a -r src/config.status ]; then $(MAKE) -C src clean -s; fi
	rm -f Makefile.inc
	rm -f src/config.log src/config.status
	rm -f $(for i in $(find . -name "*.in"); do basename $i .in; done)
	dh_clean


override_dh_auto_install-arch:
	# Install all architecture-dependent libraries and executables
	# in DESTDIR (the staging dir for the main package).
	DESTDIR=$(DESTDIR) $(MAKE) -C src install-software
	py3clean .

	desktop-file-validate $(shell find debian/extras/ share/applications/ -name *.desktop);
	
	# some clean-up
	rm -f $(DESTDIR)/usr/share/doc/linuxcnc-uspace/examples/sample-configs/*/*position*.txt

override_dh_installdocs-arch:
	# Sample configs go in `usr/share/doc/linuxcnc` (not
	# `.../doc/linuxcnc-uspace`) because that's where the
	# `linuxcnc` launcher script looks for them, and that's
	# inconvenient to change.
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-uspace
	mkdir -p debian/linuxcnc-uspace/usr/share/doc/linuxcnc
	mv debian/linuxcnc-uspace/usr/share/doc/linuxcnc-uspace/examples debian/linuxcnc-uspace/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-uspace-dev


override_dh_auto_install-indep:
	DESTDIR=$(DESTDIR) $(MAKE) -C src install-docs install-doc
	# Remove the docs we just built that we don't have debs for yet...
	rm -f $(DESTDIR)/usr/share/doc/linuxcnc/*_de.pdf
	rm -f $(DESTDIR)/usr/share/doc/linuxcnc/*_nb.pdf

override_dh_installdocs-indep:
	# The G-code quick reference html docs are built as
	# `docs/html/${LANG}/gcode.html`.  We install them
	# into `/usr/share/doc/linuxcnc-uspace/` in each
	# linuxcnc-doc-${LANG} package, then rename them there (except
	# for the English one) to include the language in the filename,
	# so they don't collide when we install all the doc debs.
	#
	# Rename the "main" doc directories from
	# `usr/share/doc/linuxcnc-uspace` to `usr/share/doc/linuxcnc`,
	# because that's where the `.desktop` files look for the docs.
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-en
	mv debian/linuxcnc-doc-en/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-en/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-es
	mv debian/linuxcnc-doc-es/usr/share/doc/linuxcnc-uspace/gcode.html debian/linuxcnc-doc-es/usr/share/doc/linuxcnc-uspace/gcode_es.html
	mv debian/linuxcnc-doc-es/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-es/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-fr
	mv debian/linuxcnc-doc-fr/usr/share/doc/linuxcnc-uspace/gcode.html debian/linuxcnc-doc-fr/usr/share/doc/linuxcnc-uspace/gcode_fr.html
	mv debian/linuxcnc-doc-fr/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-fr/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-zh-cn
	mv debian/linuxcnc-doc-zh-cn/usr/share/doc/linuxcnc-uspace/gcode.html debian/linuxcnc-doc-zh-cn/usr/share/doc/linuxcnc-uspace/gcode_zh_CN.html
	mv debian/linuxcnc-doc-zh-cn/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-zh-cn/usr/share/doc/linuxcnc


override_dh_compress:
	dh_compress -X.pdf -X.txt -X.hal -X.ini -X.clp -X.var -X.nml -X.tbl -X.xml -Xsample-configs

override_dh_fixperms:
	dh_fixperms -X/linuxcnc_module_helper -X/rtapi_app
	# In case that only the indep packages are built
	if [ -r  "$(DESTDIR)/usr/lib/tcltk/linuxcnc/linuxcnc.tcl" ]; then \
		chmod -x $(DESTDIR)/usr/lib/tcltk/linuxcnc/linuxcnc.tcl; \
	fi
	# override_dh_python3: # not executed, so we attach it to fixperms
	DEB_HOST_ARCH=`dpkg-architecture -qDEB_HOST_ARCH` dh_python3

override_dh_shlibdeps:
	cat debian/linuxcnc-uspace/DEBIAN/shlibs debian/shlibs.pre > debian/shlibs.local
	dh_shlibdeps -u--warnings=0 -l debian/linuxcnc-uspace/usr/lib

=== debian/tests/control ===
Tests: linuxcnc-test
Depends: @
Restrictions: allow-stderr flaky

Tests: rs274-test
Depends: @
Restrictions: flaky

## linuxcnc 2.9.0~pre0+git20221023.7a5beabae0

=== src/Makefile ===
--- 
+++ 
@@ -244,18 +244,16 @@
 # Compilation options.	Perhaps some of these should come from Makefile.inc? (CXXFLAGS now does)
 INTEGER_OVERFLOW_FLAGS := -fwrapv
 OPT := -Os $(INTEGER_OVERFLOW_FLAGS)
-DEBUG := $(DEBUG) -g -Wall -Wno-stringop-truncation
-CFLAGS := $(INCLUDE) $(OPT) $(DEBUG) $(EXTRA_DEBUG) -DULAPI -std=gnu99 -fgnu89-inline -Werror=implicit-function-declaration $(CFLAGS) $(CPPFLAGS)
-CXXFLAGS := $(INCLUDE) $(EXTRA_DEBUG) -DULAPI $(DEBUG) $(OPT) -Woverloaded-virtual $(CXXFLAGS) $(CPPFLAGS)
-CXXFLAGS += $(call cxx-option, -Wno-psabi)
-CXXFLAGS += $(call cxx-option, -std=gnu++11, -std=gnu++0x)
+DEBUG := $(DEBUG) -g -Wall -Wno-stringop-truncation -D_FORTIFY_SOURCE=2
+CFLAGS := $(INCLUDE) $(OPT) $(DEBUG) $(EXTRA_DEBUG) -DULAPI -std=gnu11 -Werror=implicit-function-declaration $(CFLAGS) $(CPPFLAGS)
+CXXFLAGS := $(INCLUDE) $(EXTRA_DEBUG) -DULAPI $(DEBUG) $(OPT) -Werror=overloaded-virtual $(CXXFLAGS) $(CPPFLAGS)
+CXXFLAGS += -std=gnu++17
 # In Debian 11, any inclusion of <boost/python.hpp> leads to several
 # diagnostics from included headers about deprecated features. LinuxCNC does
 # not directly use these deprecated features, but it does use boost::python.
 # Silence the warnings just when they occur in files using boost/python.hpp by
 # adding SILENCE_BOOST_INTERNAL_DIAGNOSTICS_FLAGS to the object's EXTRAFLAGS
 SILENCE_BOOST_INTERNAL_DIAGNOSTICS_FLAGS = -DBOOST_ALLOW_DEPRECATED_HEADERS=1 -DBOOST_BIND_GLOBAL_PLACEHOLDERS=1
-
 CFLAGS   += $(TOOL_NML_FLAG)
 CXXFLAGS += $(TOOL_NML_FLAG)
 
@@ -349,3 +347,5 @@
     emc/kinematics/cubic.h \
     emc/kinematics/kinematics.h \
     emc/kinematics/switchkins.h \
+    emc/kinematics/genhexkins.h \
+    emc/kinematics/genserkins.h \

=== debian/changelog ===
linuxcnc (2.9.0~pre0+git20221023.7a5beabae0-1) unstable; urgency=medium

  * New upstream version 2.9.0_pre0+git20221023.7a5beabae0
  * Add deb package with German translated docs.
  * Fix autopkgtest.
  * Fix build on armhf.
  * Fix a divide-by-zero bug in the software encoder counter component.
  * Fix some bugs in carousel component.
  * Fix exception handling bug in python plugin/sai.
  * Improve AppStream metadata.
  * Bump language standards to gnu11 & gnu++17.
  * Add hm2 oneshot support.
  * Lots of improvements to the docs & translations.
  * Improvements to several GUIs.
  * Add scaled sum component.
  * Add anglejog component.
  * Update debian/ files

 -- Sebastian Kuzminsky <seb@highlab.com>  Sun, 23 Oct 2022 22:26:38 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
     debhelper-compat (= 13),
     dh-python,
     libudev-dev,
+    docbook-xsl,
     asciidoc,
     ghostscript,
     imagemagick,
@@ -43,7 +44,6 @@
     yapps2
 Build-Depends-Indep:
     dblatex (>= 0.2.12),
-    docbook-xsl,
     dvipng,
     graphviz,
     groff,
@@ -224,6 +224,19 @@
  .
  This package provides the main package for LinuxCNC.
 
+Package: linuxcnc-doc-de
+Provides: linuxcnc-doc
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: xdg-utils
+Suggests: pdf-viewer
+Description: motion controller for CNC machines and robots (German documentation)
+ LinuxCNC is the next-generation Enhanced Machine Controller which
+ provides motion control for CNC machine tools and robotic
+ applications (milling, cutting, routing, etc.).
+ .
+ This package contains the documentation in German.
+
 Package: linuxcnc-doc-en
 Provides: linuxcnc-doc
 Architecture: all

## linuxcnc 2.9.0~pre0+git20221105.ffb6bda926

=== debian/changelog ===
linuxcnc (2.9.0~pre0+git20221105.ffb6bda926-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre0+git20221105.ffb6bda926
  * Fix an old hm2 encoder index bug.
  * Fix unloading when halscope crashes.
  * Lots of improvements to docs & translations.
  * Improved gmoccapy GUI and QtVCP.
  * d/changelog: remove duplicated entries

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 05 Nov 2022 20:48:00 -0600

## linuxcnc 2.9.0~pre1+git20230208.f1270d6ed7

=== src/Makefile ===
--- 
+++ 
@@ -63,6 +63,13 @@
 endif
 endif
 
+# Used to enable x86 only HAL parts
+ifeq ($(shell uname -m),i686)
+X86ARCH = true
+endif
+ifeq ($(shell uname -m),x86_64)
+X86ARCH = true
+endif
 
 # Beautify output
 # ---------------------------------------------------------------------------
@@ -309,7 +316,7 @@
 
 INFILES = \
         ../scripts/linuxcnc ../scripts/realtime \
-	../scripts/linuxcnc_info \
+	../scripts/linuxcnc_info ../scripts/setup_designer \
 	../scripts/haltcl ../scripts/rtapi.conf Makefile.inc Makefile.modinc \
 	../tcl/linuxcnc.tcl ../scripts/halrun ../scripts/rip-environment \
 	../scripts/linuxcncmkdesktop \
@@ -344,8 +351,3 @@
     emc/ini/inispindle.hh \
     emc/ini/initraj.hh \
     emc/ini/inihal.hh \
-    emc/kinematics/cubic.h \
-    emc/kinematics/kinematics.h \
-    emc/kinematics/switchkins.h \
-    emc/kinematics/genhexkins.h \
-    emc/kinematics/genserkins.h \

=== debian/changelog ===
linuxcnc (2.9.0~pre1+git20230208.f1270d6ed7-1+deb12u1) bookworm; urgency=medium

  [ CMorley ]
  * qtvcp -mdi_line: fix multi axes movement on single axis G0 MDI call
    (Closes: #1053251).

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf documenting branches used.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Jan 2025 22:43:48 +0100

linuxcnc (2.9.0~pre1+git20230208.f1270d6ed7-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre1+git20230208.f1270d6ed7 (Closes: #1023651).
  * Fix motion error for some full-circle spirals.
  * Fix issue with arc moves immediately after homing.
  * Fix realtime thread priorities.
  * Lots of updates to GUIs.
  * Lots of improvements to docs and translations.
  * Hostmot2: Add OutM support.
  * Hostmot2: Add support for 7i96S.
  * Hostmot2: Fix config string "num_oneshots" parsing bug.
  * Hostmot2: BSPI and 7i65 fixes.
  * halscope: Fix crash bug.
  * PNCconf: Add support for 7i96S, InM, and OutM.
  * PNCconf: Misc fixes.
  * halcompile: Add command-line args to set compiler & linker flags.
  * halcompile: Fix permissions of installed components.
  * OpenGL: Don't use GLUT.
  * OpenGL: Always use GLX, not EGL, even on Wayland.
  * OpenGL: Work around a new bug in glBitmap().
  * glcanon: Fix mm units.
  * Warn on multiple tools in a single toolchanger pocket.
  * Add div2 component.
  * Add mqtt-publisher component.
  * Include hal_speaker component in build.
  * Update mb2hal.
  * Add hal_set_unready().
  * Add rtapi_ioperm().
  * Add xyzab_tdr 5-axis kins & sample config.
  * Fix some broken example configs.
  * Fix spindle-speed in remap.
  * Clean up handling of canterp.
  * Update icons.
  * Fix zombie process detection at startup.
  * Remove unused procfs_macros.h to avoid copyright concern.
  * Fix some lintian issues.
  * Fix debian/copyright.
  * Fix build on arm and hppa64.
  * d/patches: disable the boost m4 patch, no longer needed

 -- Sebastian Kuzminsky <seb@highlab.com>  Thu, 09 Feb 2023 21:33:18 -0700

linuxcnc (2.9.0~pre0+git20221105.ffb6bda926-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated 0010-arm-hppa.patch from upstream to handle hppa1.1 cpu and to
    exit build earlier if libboost-python is not found.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 08 Nov 2022 22:38:32 +0100

linuxcnc (2.9.0~pre0+git20221105.ffb6bda926-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added 0010-arm-hppa.patch from upstream to fix build failures on armv8l
    and hppa64 CPU build daemons.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 08 Nov 2022 09:55:13 +0100

linuxcnc (1:2.8.4) buster; urgency=medium

  * Add driver support for Mesa 7i96S
  * Add pncconf support fo Mesa 7i96S
  * calculatorwidget: increased buttons to be more touch-friendly
  * gmoccapy: Fix jogging with max velocity (SHIFT + jog key)
  * Czech translation for Gmoccapy
  * gmoccapy: fix attribute error in tooltip text
  * gmoccapy: fix "spindle speed override wasn't applied in reverse direction"
  * docs: add note to obsolete property 'FEATURES'

 -- andypugh <andy@bodgesoc.org>  Sun, 18 Sep 2022 20:33:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,6 @@
 override_dh_auto_install-indep:
 	DESTDIR=$(DESTDIR) $(MAKE) -C src install-docs install-doc
 	# Remove the docs we just built that we don't have debs for yet...
-	rm -f $(DESTDIR)/usr/share/doc/linuxcnc/*_de.pdf
 	rm -f $(DESTDIR)/usr/share/doc/linuxcnc/*_nb.pdf
 
 override_dh_installdocs-indep:
@@ -106,6 +105,10 @@
 	# Rename the "main" doc directories from
 	# `usr/share/doc/linuxcnc-uspace` to `usr/share/doc/linuxcnc`,
 	# because that's where the `.desktop` files look for the docs.
+	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-de
+	mv debian/linuxcnc-doc-de/usr/share/doc/linuxcnc-uspace/gcode.html debian/linuxcnc-doc-de/usr/share/doc/linuxcnc-uspace/gcode_de.html
+	mv debian/linuxcnc-doc-de/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-de/usr/share/doc/linuxcnc
+	
 	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-en
 	mv debian/linuxcnc-doc-en/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-en/usr/share/doc/linuxcnc
